Next Previous Table of Contents

### 4. Advanced features

### 4.1 Mixer layout and stored Profiles

This is one of the advanced features of kmix. If you have a standard layout you like, you can save this layout. A layout stores for each channel four configuration options.

- The volume of the channel
- If the channel is shown
- If the channels slider is split (for stereo channels)
- If the channel are muted.

If you want to save the current layout, just press `Control-1` to save the layout as profile `1`. Likewise you can save profile `2`, `3` and `4` by pressing `Control-2`, `Control-3` or `Control-4`.

You can restore a profile by pressing `1`, `2`, `3` and `4` respectively. If you want to start kmix with a certain layout directly set up, you must pass a command line argument.

### 4.2 Command line arguments

You can pass some parameters to kmix, to have influence on kmix's initial settings.

- `-r` will restore the default set (set 1), that you saved by pressing`Control-1`.
- `-R n` will restore the given set.
- With passing `-devnum n`, kmix will use the n'th mixer device on your system.

### 4.3 Multiple Soundcards

KMix is prepared for multiple sound cards. If called via the KDE Panel, the default mixer is used. For the Open Sound System, this is `/dev/mixer`. For other operating systems or sound drivers, this may vary.

If you want KMix to use a specific soundcard (primary, secondary, ...), you must tell this KMix on startup. You can start the mixer with a device number, using the `-devnum n` parameter. `-devnum 0` means the default device, 1 your primary mixer, 2 your secondary mixer and so on. If you use this regulary, you should create a new program kdelnk (using kfm or the menu editor). This should just call kmix with the appropriate device number as parameter, for example "kmix -devnum 2".

Next Previous Table of Contents